<?php
/**
 * Support for A19 templates
 *
 * @package A19
 * @since 1.0.0
 */


/**
 * Add sidebar CSS
 */
function a19_style_sidebar() {

	// Only include sidebar style when it's displayed.
	if ( ! a19_can_show_right_sidebar() ) {
		return;
	}

	require_once get_stylesheet_directory() . '/inc/sidebar-style.php' ;
	?>

	<style type="text/css" id="sidebar-style">
		<?php echo a19_sidebar_css(); ?>
	</style>
	<?php
}
add_action( 'wp_head', 'a19_style_sidebar' );

/**
 * Determines whether footer sidebar will be displayed
 */
function a19_can_show_footer_sidebar() {
	return is_active_sidebar( 'sidebar-1' ) && ! a19_can_show_right_sidebar();
}

/**
 * Determines whether right sidebar will be displayed
 */
function a19_can_show_right_sidebar() {
	return is_active_sidebar( 'sidebar-2' ) && (
		( is_home() && (get_theme_mod('home_sidebar', true) == true) ) ||
		( is_front_page() && (get_theme_mod('front_page_sidebar', false) == true) ) ||
		( is_single() && (get_theme_mod('single_sidebar', false) == true) ) ||
		( is_page() && (get_theme_mod('page_sidebar', false) == true) ) ||
		( is_archive() && (get_theme_mod('archive_sidebar', false) == true) ) ||
		( is_search() && (get_theme_mod('search_sidebar', false) == true) )
	);
}
